import { k as o } from "./main-e6123302.mjs";
const t = async (s, c) => {
  try {
    return await fetch(`${s}`, {
      method: "put",
      body: c
    });
  } catch (e) {
    return console.error(e), e;
  }
}, p = async () => {
  try {
    const { data: s } = await o("/delphi/prompt/access");
    return s && s.is_access_allowed ? s.is_access_allowed : !1;
  } catch (s) {
    return console.log("Error in fetching prompt access", { msg: s.message, error: s }), !1;
  }
};
export {
  p as c,
  t as u
};
